#property copyright     "Author: laplacianlab, CC Attribution-Noncommercial-No Derivate 3.0"
#property link          "http://www.mql5.com/en/forum/ea"
#property version       "1.00"
#property description   "Pithecus, which means monkey in old Latin, opens a buying operation on a given pair every 'frequency' seconds. This is a very simple EA for learning purposes."

#include <Trade\Trade.mqh>

input string Pair = "EURUSD";
input int frequency = 10;        // The frequency for opening a buying operation in seconds.
input int StopLoss = 150;
input int TakeProfit = 150;

int OnInit()
  {  
   SymbolSelect(Pair, true); 
   EventSetTimer(frequency);
   return(0);   
  }

void OnTimer()
  {    
 
   CTrade trade; 
   MqlTick tick;

   SymbolInfoTick(_Symbol, tick);
   
   double sl = tick.bid - StopLoss * _Point;
   double tp = tick.ask + TakeProfit * _Point;
    
   trade.PositionOpen(_Symbol, ORDER_TYPE_BUY, 0.01, tick.ask, sl, tp);

  }